VCSCluster (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.veritas.cluster.VCSCluster interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.veritas.cluster
Interface VCSCluster

All Superinterfaces:
  Collection, ManagedElement, ModelObject, java.io.Serializable

    public interface VCSCluster

extends Collection

Veritas Cluster (VCS) connects multiple, independent systems into a management framework for increased availability. Each system,or node, runs its own operating system and cooperates at the software level to form a cluster. Cluster links commodity hardware with intelligent software to provide application failover and control. When a node or a monitored application fails, other nodes can take predefined actions to take over and bring up services elsewhere in the cluster.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getClusterOwner()` This attribute is used for VCS notification - specifically, VCS sends notifications to persons designated in this attribute when an event occurs related to the cluster.
`java.lang.String` | `getLocation()` Specifies the location of the cluster.
`VCSServiceGroup[]` | `getServiceGroups()`
`VCSSystem[]` | `getSystems()`
`boolean` | `hasClusterOwner()`
`boolean` | `hasLocation()`
`boolean` | `hasServiceGroups()`
`boolean` | `hasSystems()`
`void` | `setClusterOwner(java.lang.String x)`
`void` | `setLocation(java.lang.String x)`
`void` | `setServiceGroups(VCSServiceGroup[] x)`
`void` | `setSystems(VCSSystem[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSystems

    VCSSystem[] getSystems()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSystems

    void setSystems(VCSSystem[] x)

### hasSystems

    boolean hasSystems()

### getLocation

    java.lang.String getLocation()
                                 throws AttributeNotSetException

  Specifies the location of the cluster.

  Throws:
    `AttributeNotSetException`

### setLocation

    void setLocation(java.lang.String x)

### hasLocation

    boolean hasLocation()

### getClusterOwner

    java.lang.String getClusterOwner()
                                     throws AttributeNotSetException

  This attribute is used for VCS notification - specifically, VCS sends notifications to persons designated in this attribute when an event occurs related to the cluster.

  Throws:
    `AttributeNotSetException`

### setClusterOwner

    void setClusterOwner(java.lang.String x)

### hasClusterOwner

    boolean hasClusterOwner()

### getServiceGroups

    VCSServiceGroup[] getServiceGroups()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setServiceGroups

    void setServiceGroups(VCSServiceGroup[] x)

### hasServiceGroups

    boolean hasServiceGroups()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD